Bug 202423 - Review Request: trackballs - Steer a marble ball through a labyrinth
Review Request: trackballs - Steer a marble ball through a labyrinth
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 202424
  Show dependency treegraph
 
Reported: 2006-08-14 08:05 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-15 15:00:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-14 08:05:34 EDT
Spec URL: http://people.atrpms.net/~hdegoede/trackballs.spec
SRPM URL: http://people.atrpms.net/~hdegoede/trackballs-1.1.2-1.src.rpm
Description:
Trackballs is a game in which you steer a marble ball through tracks of varying
difficulty. The game features 3D graphics, an integerated level editor and high
quality soundeffects and background music.
Comment 1 Wart 2006-08-14 19:22:39 EDT
This is a fairly easy package:

GOOD
====
* rpmlint output clean
* Package/spec name matches upstream
* GPL license ok, license file included
* Source matches upstream:
  9ea9ca93d87bb0f9ad8abca1b34af594  trackballs-1.1.2.tar.gz
* Builds in mock on FC5-i386, FC5-x86_64, FC6-i386, FC6-x86_64
* No need for a -devel subpackage
* No need for a -doc subpackage
* locale files installed correctly
* .desktop file installed correctly
* icon files installed and updated in %post/%postun correctly
* No duplicate %files
* Owns all directories that it creates; does not own directories that it
  should not.
* Runs on FC5-x86_64.

MUSTFIX
=======
* BR: libGL-devel is redundant.  This is already required by libGLU-devel.
* BR: gcc-c++ is already part of the minimal buildroot, so it can be removed.
Comment 2 Hans de Goede 2006-08-15 13:55:03 EDT
(In reply to comment #1)
> 
> MUSTFIX
> =======
> * BR: libGL-devel is redundant.  This is already required by libGLU-devel.
> * BR: gcc-c++ is already part of the minimal buildroot, so it can be removed.

New version with this fixed here:
Spec URL: http://people.atrpms.net/~hdegoede/trackballs.spec
SRPM URL: http://people.atrpms.net/~hdegoede/trackballs-1.1.2-2.src.rpm
Comment 3 Wart 2006-08-15 14:01:11 EDT
All MUSTFIX items fixed.

APPROVED.
Comment 4 Hans de Goede 2006-08-15 15:00:15 EDT
Thanks!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.